package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsSaleOrderMapper;
import com.steerinfo.dil.service.IAmsSaleOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.math.BigDecimal;
import java.util.Map;

/**
 * AmsSaleOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-26 07:26
 * 类描述
 * 修订历史：
 * 日期：2021-10-26
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsSaleOrderService")
public class AmsSaleOrderServiceImpl implements IAmsSaleOrderService {

    @Autowired
    private AmsSaleOrderMapper amsSaleOrderMapper;

    /**
     * 查询销售订单
     * @param saleOrderId
     * @return
     */
    @Override
    public Map<String, Object> getSaleOrder(BigDecimal saleOrderId) {
        Map<String,Object> mapValue = amsSaleOrderMapper.getSaleOrderMessage(saleOrderId);
        return mapValue;
    }

    /**
     * 修改销售订单
     * @param mapVal
     * @return
     */
    @Override
    public int operationSaleOrder(Map<String, Object> mapVal) {
        String consigneeCompanyName = (String) mapVal.get("consigneeCompanyName");
        String materialName = (String) mapVal.get("materialName");
        String materialSpecification = (String) mapVal.get("materialSpecification");
        String materialModel = (String) mapVal.get("materialModel");
        String saleRemark = (String) mapVal.get("saleRemark");
        Double saleAccountBalanceDouble = (Double) mapVal.get("saleAccountBalance");
        Double saleCurrentOrderAmountDouble = (Double) mapVal.get("saleCurrentOrderAmount");
        Double saleHistoricalOrderAmountDouble = (Double) mapVal.get("saleHistoricalOrderAmount");
        return 0;
    }
}
