package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmstruckDetailsOrder;
import com.steerinfo.dil.mapper.BmstruckDetailsOrderMapper;
import com.steerinfo.dil.service.IBmstruckDetailsOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * BmstruckDetailsOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-27 05:06
 * 类描述
 * 修订历史：
 * 日期：2021-10-27
 * 作者：generator
 * 参考：
 * 描述：BmstruckDetailsOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstruckDetailsOrderService")
public class BmstruckDetailsOrderServiceImpl implements IBmstruckDetailsOrderService {

    @Autowired
    private BmstruckDetailsOrderMapper bmstruckDetailsOrderMapper;

    /**
     * 查询汽运详单
     * @param detailsId
     * @return
     */
    @Override
    public Map<String, Object> getDetailsOrder(Integer detailsId) {
        Map<String,Object> mapValue = bmstruckDetailsOrderMapper.getDetailsOrder(new BigDecimal(detailsId));
        return mapValue;
    }
}
